### Method

# Gck Session wrap_key

#### Declaration [src]

    guchar*
    gck_session_wrap_key (
      GckSession* self,
      GckObject* wrapper,
      gulong mech_type,
      GckObject* wrapped,
      gsize* n_result,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Wrap a key into a byte stream. This call may block for an indefinite period.

#### Parameters

`wrapper`

  Type: `GckObject`

  The key to use for wrapping.

  The data is owned by the caller of the method.

`mech_type`

  Type: `gulong`

  The mechanism type to use for wrapping.

`wrapped`

  Type: `GckObject`

  The key to wrap.

  The data is owned by the caller of the method.

`n_result`

  Type: `gsize*`

  A location in which to return the length of the wrapped data.

  The argument will be set by the function.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `guchar`

The wrapped data or `NULL` if the operation failed.

The length of the array is in the `n_result` argument.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.